<!-- PROJECT LOGO -->
<br />
<p align="center">
  <a href="https://github.com/prasoonsoni/URL-Shortner">
    <img src="https://cdn-icons.flaticon.com/png/512/3194/premium/3194461.png?token=exp=1655406287~hmac=f7907232059a95bb71088ff98f8d16fb" alt="Logo" width="80" height="80">
  </a>

  <h3 align="center">Naukri Dundho</h3>

  <p align="center">
    A portal for finding and posting jobs. Assignment for internship. 💡
    <br />
    <a href="https://github.com/prasoonsoni/Naukri-Dundho"><strong>Explore the docs »</strong></a>
    <br />
    •
    <a href="https://github.com/prasoonsoni/Naukri-Dundho/issues">Report Bug</a>
    •
    <a href="https://github.com/prasoonsoni/Naukri-Dundho/issues">Request Feature</a>
    •
  </p>
</p>

<!-- BADGES -->
<p align="center">
  <a href="https://github.com/prasoonsoni/Naukri-Dundho/graphs/contributors">
    <img src="https://img.shields.io/github/contributors/prasoonsoni/Naukri-Dundho.svg?style=for-the-badge">
  </a>
  <a href="https://github.com/prasoonsoni/Naukri-Dundho/network/members">
    <img src="https://img.shields.io/github/forks/prasoonsoni/Naukri-Dundho?style=for-the-badge">
  </a>  
  <a href="https://github.com/prasoonsoni/Naukri-Dundho/stargazers">
    <img src="https://img.shields.io/github/stars/prasoonsoni/Naukri-Dundho?style=for-the-badge">
  </a>
  <a href="https://github.com/prasoonsoni/Naukri-Dundho/issues">
    <img src="https://img.shields.io/github/issues/prasoonsoni/Naukri-Dundho?style=for-the-badge">
  </a>
</p>


## <img src="https://cdn-icons-png.flaticon.com/512/4661/4661245.png" width="32" height="32"> Backend Documantation
  <a href="https://app.getpostman.com/run-collection/539f109c2e7ee05f21c1?action=collection%2Fimport">
    <img src="https://run.pstmn.io/button.svg">
  </a>
  <a href="https://app.swaggerhub.com/apis/prasoonsoni/NaukriDundho/1">
    <img src="https://miro.medium.com/max/690/1*aKVg84SP5oPV9fwOnbl6yQ.png" height="32px">
  </a>

<!-- ABOUT THE PROJECT -->
<!-- ## <img src="https://openclipart.org/download/307315/1538154643.svg" width="32" height="32"> About The Project
URL Shortner is a web app which can help you to get rid of long URLs, shorten them and share them with your friends. -->

## <img src="https://cdn-icons-png.flaticon.com/512/427/427735.png" width="32" height="32"> Features

1) Company can sign up and login
2) Company can post a job
3) Company can see applicants
4) Applicants can sign up and login
5) Applicants can see the jobs
6) Applicants can apply for the job

## <img src="https://techstackapps.com/media/2019/11/TechStackApps-logo-icon.png" width="32" height="32"> Tech Stack

* React.js
* Node.js
* Express.js
* MongoDB
* JavaScript

<!-- SCREENSHOTS -->
## <img src="https://cdn-icons-png.flaticon.com/512/6823/6823853.png" width="32" height="32"> Screenshots
### Landing Page
![landing](https://user-images.githubusercontent.com/75159757/174145196-84c9df17-91fe-40a3-8148-5e17a7cf1fd8.png)
### Login Page
![login](https://user-images.githubusercontent.com/75159757/174145219-93550e71-c526-4324-a15f-3e144ad20a5d.png)
### Register Page
![register](https://user-images.githubusercontent.com/75159757/174145236-ae2e8f32-f052-4054-866e-aaab97e8a15d.png)
### When no job available
![no job available](https://user-images.githubusercontent.com/75159757/174145265-81450983-e163-4f9c-8354-b7a98a49ef48.png)
### When no job posted
![no job posted](https://user-images.githubusercontent.com/75159757/174145276-a1e6f3c3-6730-4fb7-8508-b8dc0480367c.png)
### After job is posted
![job posted](https://user-images.githubusercontent.com/75159757/174145294-cc23f9c4-16ac-43f0-b61e-e7ae99acd5d7.png)
### After applied for job
![applied for job](https://user-images.githubusercontent.com/75159757/174145337-796d7906-5c35-4839-88ae-f40fa267fe0c.png)

<!-- GETTING STARTED -->
## <img src="https://cdn.iconscout.com/icon/free/png-512/laptop-user-1-1179329.png" width="32" height="32"> Getting Started

To get a local copy up and running follow these simple steps.
### Prerequisites
In order to get a copy of the project you will require you to have Node.js (v14+) and the NPM package manager installed. If you don't have it, you can download the latest version of Node.js from the [official website](https://nodejs.org/en/download/) which also installs the NPM package manager by default.
### Installation
Open the terminal in the folder in which you wish to clone the repository and enter the following command:
``` 
git clone https://github.com/prasoonsoni/Naukri-Dundho.git
cd backend (For Backend)
cd frontend(For Frontend)
```
Install all the NPM packages:
```
npm i
```
In order to run the backend server:
```
npm i -D nodemon (One time installation)
npx nodemon index.js
```
In order to run the frontend:
```
npm run start
```

> **Note that you will have to add your own `.env` file at the root directory for both frontend and backend, and add your own environment variables for the project to build.**

Following are the environment variables used for backend:
- `MONGO_URI` - The MongoDB connection string

Following are the environment variables used for frontend:
- `REACT_APP_BASE_URL` - The domain name (usually http://localhost:3000)

<!-- CONTRIBUTING -->
## <img src="https://hpe-developer-portal.s3.amazonaws.com/uploads/media/2020/3/git-icon-1788c-1590702885345.png" width=32 height=32> Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/YourAmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some YourAmazingFeature'`)
4. Push to the Branch (`git push origin feature/YourAmazingFeature`)
5. Open a Pull Request


<!-- CONTACT -->
## <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/93/Google_Contacts_icon.svg/1024px-Google_Contacts_icon.svg.png" width=32 height=32> Contact

### Prasoon Soni
[`E-Mail`](mailto:prasoonsoni.work@gmail.com)
[`LinkedIn`](https://www.linkedin.com/in/prasoonsoni/)


